@echo off
set path_editor=%windir%\system32\notepad.exe
set path_xml=%~dp0Test-subtitles_exp.xml

set BDSup2Sub=C:\tools\BDSup2Sub\BDSup2Sub.jar
set path_java=C:\Program Files (x86)\Java\jre1.8.0_31\bin\java.exe
set sup_output=Test-subtitles_exp_batch.sup
set value=/fps:25 /res:576 /filter:lanczos3

SET mkvmerge="C:\tools\mkvmerge\mkvmerge.exe"
set input_video=_Video_orig.mp4
rem choose one of those: 24000/1001p 24p 25p 30000/1001p 50i 60000/1001i 50p 60000/1001p
set input_video_fps=25p
set language=eng
set "chapters="

START /WAIT "%path_editor%" "%path_xml%"
"%path_java%" -Xmx256m -jar "%BDSup2Sub%" "%path_xml%" "%sup_output%" %value%
%mkvmerge% -o output_test.mkv "--forced-track" "0:no" "--default-duration" "0:%input_video_fps%" "--compression" "0:none" "-d" "0" "-A" "-S" "-T" "--no-global-tags" "(" "%input_video%" ")" "--language" "0:%language%"  "--default-track" "1:yes" "--forced-track" "1:no" "--compression" "1:none" "-a" "1" "-D" "-S" "-T" "--no-global-tags" "("  "%input_video%" ")" "--language" "0:%language%" "--default-track" "0:yes" "--forced-track" "0:no" "-s" "0" "-D" "-A" "-T" "--no-global-tags" "("  "%sup_output%" ")" %chapters% "--title" "test to include xml subtitles"
echo done
pause